Subject: bug#44983: Truncate long lines of grep output

From: Dmitry Gutov <[email-masked]>
Date: Mon, 14 Dec 2020 22:09:34 +0200

On 14.12.2020 18:15, Eli Zaretskii wrote:
>>>>> In my opinion I believe that majority of users who ever clicked
>>>>> "Search Files (grep)" gave up after few attempts.
>>>> Indeed, "Search for files (grep)" menu option is not user friendly.
>>> In what way is it not user-friendly?  It just invokes "M-x grep".
>> It's not friendly for users who don't know syntax of grep command line.
> If someone wants to add a more user-friendly dialog for searching text
> (or perhaps reuse a dialog provided by the GUI toolkits), I think it
> will be welcome.  It is not a simple job, though, because the dialog
> should allow access to most of the advanced features of Grep.

Perhaps a better option would be to take advantage of the 'transient' 
package (currently in GNU ELPA, but unreleased). Here's an example of 
its UI (bottom window):

https://camo.githubusercontent.com/f87497aec74dd0efee4ef78ba2b33b24d5535446b5d5cbef768653f4b945c38c/687474703a2f2f726561646d652e656d6163736169722e6d652f7472616e7369656e742e706e67